Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 633344 - dev-cpp/gstreamermm-1.8.0 : audioclock.cc:79:116: error: cannot convert GstClock* {aka _GstClock*} to GstAudioClock* {aka _GstAudioClock*} for argument 1 to GstClockTime gst_audio_clock_adjust(GstAudioClock*, GstClockTime)
Summary: dev-cpp/gstreamermm-1.8.0 : audioclock.cc:79:116: error: cannot convert GstCl...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gilles Dartiguelongue
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2017-10-03 08:00 UTC by Toralf Förster
Modified: 2017-11-01 15:41 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.01 KB, text/plain)
2017-10-03 08:00 UTC, Toralf Förster
Details
dev-cpp:gstreamermm-1.8.0:20171003-004715.log (dev-cpp:gstreamermm-1.8.0:20171003-004715.log,23.26 KB, text/plain)
2017-10-03 08:00 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,151.65 KB, text/plain)
2017-10-03 08:00 UTC, Toralf Förster
Details
environment (environment,121.82 KB, text/plain)
2017-10-03 08:00 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,37.27 KB, application/x-bzip)
2017-10-03 08:00 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,9.99 KB, application/x-bzip)
2017-10-03 08:00 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,33.94 KB, application/x-bzip)
2017-10-03 08:00 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-10-03 08:00:05 UTC
audioclock.cc: In member function ‘Gst::ClockTime Gst::AudioClock::adjust(Gst::ClockTime)’:
audioclock.cc:79:116: error: cannot convert ‘GstClock* {aka _GstClock*}’ to ‘GstAudioClock* {aka _GstAudioClock*}’ for argument ‘1’ to ‘GstClockTime gst_audio_clock_adjust(GstAudioClock*, GstClockTime)’
 t_audio_clock_adjust(GST_CLOCK_CAST(gobj()), static_cast<GstClockTime>(time)));
                                                                             ^
audioclock.cc: In member function ‘Gst::ClockTime Gst::AudioClock::get_time() const’:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-desktop_20170929-190915

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.5.1 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv dev-cpp/gstreamermm
[ebuild  N    ] dev-cpp/gstreamermm-1.8.0  USE="-doc -examples {-test}"
Comment 1 Toralf Förster gentoo-dev 2017-10-03 08:00:08 UTC
Created attachment 497480 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-10-03 08:00:13 UTC
Created attachment 497482 [details]
dev-cpp:gstreamermm-1.8.0:20171003-004715.log
Comment 3 Toralf Förster gentoo-dev 2017-10-03 08:00:16 UTC
Created attachment 497484 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-10-03 08:00:21 UTC
Created attachment 497486 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-10-03 08:00:24 UTC
Created attachment 497488 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-10-03 08:00:28 UTC
Created attachment 497490 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2017-10-03 08:00:31 UTC
Created attachment 497492 [details]
temp.tbz2
Comment 8 Miroslav Šulc gentoo-dev 2017-10-06 17:50:26 UTC
i can confirm this bug on my ~amd64 with hardened profile
Comment 9 stephane.goujet 2017-10-12 12:31:33 UTC
There is an upstream patch that is supposed to fix the problem between gstreamermm-1.8.0
 and gstreamer-1.12:

https://bugzilla.gnome.org/show_bug.cgi?id=783678

I have not personally tried it (yet), despite hitting the same problem when trying to update gstreamermm. (For example, I don't know if the patch breaks something with gstreamer<1.12 or if it is compatible.)
Comment 10 stephane.goujet 2017-10-13 16:48:00 UTC
(In reply to stephane.goujet from comment #9)
> There is an upstream patch that is supposed to fix the problem between
> gstreamermm-1.8.0 and gstreamer-1.12:
> 
> https://bugzilla.gnome.org/show_bug.cgi?id=783678
> 
> I have not personally tried it (yet), despite hitting the same problem when
> trying to update gstreamermm. (For example, I don't know if the patch breaks
> something with gstreamer<1.12 or if it is compatible.)

Well, at least with that patch (https://bug783678.bugzilla-attachments.gnome.org/attachment.cgi?id=353598), gstreamermm-1.8.0 builds alright with gstreamer-1.12.3.

The only program I have on my setup that links to libgstreamermm is media-video/subtitleeditor, it seems to run fine (but I have no idea if it uses the patched code area). I cannot say more so far.
Comment 11 Larry the Git Cow gentoo-dev 2017-11-01 15:41:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4efe8bc44a429648bc71786bddc98f5f431652c6

commit 4efe8bc44a429648bc71786bddc98f5f431652c6
Author:     Mart Raudsepp <leio@gentoo.org>
AuthorDate: 2017-11-01 15:37:38 +0000
Commit:     Mart Raudsepp <leio@gentoo.org>
CommitDate: 2017-11-01 15:40:51 +0000

    dev-cpp/gstreamermm: bump to 1.10.0 for gstreamer-1.12 compatibility
    
    Closes: https://bugs.gentoo.org/633344
    Package-Manager: Portage-2.3.8, Repoman-2.3.2

 dev-cpp/gstreamermm/Manifest                  |  1 +
 dev-cpp/gstreamermm/gstreamermm-1.10.0.ebuild | 63 +++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)